using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
			CategoryBuilder.Create("Ukrainian flag+", "Slava Ukraine.", ModAPI.LoadSprite("category.png"));

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Ukrainian flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Ukraine",
                    CategoryOverride = ModAPI.FindCategory("Ukrainian flag+"),
                    ThumbnailOverride = ModAPI.LoadSprite("u.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("u.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Ukrainian flag variant 2",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Ukraine variant 2",
                    CategoryOverride = ModAPI.FindCategory("Ukrainian flag+"),
                    ThumbnailOverride = ModAPI.LoadSprite("u2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("u2.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Armed Forces of Ukraine",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Slava Ukraine.",
                    CategoryOverride = ModAPI.FindCategory("Ukrainian flag+"),
                    ThumbnailOverride = ModAPI.LoadSprite("vcy.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("vcy.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "Naval Forces of Ukraine flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Slava Ukraine",
                    CategoryOverride = ModAPI.FindCategory("Ukrainian flag+"),
                    ThumbnailOverride = ModAPI.LoadSprite("wu.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("wu.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                    NameOverride = "UPA flag",
                    NameToOrderByOverride = "k",
                    DescriptionOverride = "Bandera is hero",
                    CategoryOverride = ModAPI.FindCategory("Ukrainian flag+"),
                    ThumbnailOverride = ModAPI.LoadSprite("b.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("b.png");
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bottom";
						Instance.FixColliders();
                    }
                }
            );
        }
    }
}